Package com.usatiuk.dhfs.rpc

# Class TemporaryReceivedObjectSerializer

java.lang.Object
com.usatiuk.dhfs.rpc.TemporaryReceivedObjectSerializer

All Implemented Interfaces:
  `ProtoSerializer<GetObjectReply,ReceivedObject>`

@ApplicationScoped public class TemporaryReceivedObjectSerializer extends Object implements ProtoSerializer<GetObjectReply,ReceivedObject>

## Constructor Summary

Constructors
Constructor
Description
`TemporaryReceivedObjectSerializer()`

## Method Summary

Modifier and Type
Method
Description
`ReceivedObject`
`deserialize(GetObjectReply message)`
`GetObjectReply`
`serialize(ReceivedObject object)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TemporaryReceivedObjectSerializer

public TemporaryReceivedObjectSerializer()

## Method Details

### deserialize

public ReceivedObject deserialize(GetObjectReply message)

Specified by:
  `deserialize` in interface `ProtoSerializer<GetObjectReply,ReceivedObject>`

### serialize

public GetObjectReply serialize(ReceivedObject object)

Specified by:
  `serialize` in interface `ProtoSerializer<GetObjectReply,ReceivedObject>`